<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <title>Register</title>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="container my-5">
                <h2 class="mb-3">Register</h2>
                <div class="row">
                    <div th:if="${param.success}">
                        <div class="alert alert-info">You've successfully registered</div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form action="#" th:action="@{/registration}" method="post" th:object="${registerModel}">
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="email" class="col-form-label">Email</label>
                                    <input type="text" class="form-control" th:field="*{email}" id="email" placeholder="Email Id" >
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="password" class="col-form-label">Password</label>
                                    <input type="password" class="form-control" th:field="*{password}" id="password" placeholder="Password" />
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="userRole" class="col-form-label">Roles</label>
                                    <select class="form-control" id="userRole" name="userRole" th:field="*{userRole}">
                                        <option th:each="o : ${roles}"
                                                th:value="${o.id}" th:text="${o.role}"></option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <button type="submit" class="btn btn-primary">Register</button>
                                    <a class="btn btn-outline-primary btn-sm" th:href="@{/login}">Already a member? Login</a>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div th:insert="fragments/footer :: footer"></div>
</body>
</html>